#
# spec file for package xwaylandvideobridge
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xwaylandvideobridge
Version:        0.4.0+git12
Release:        bp156.1.1
Summary:        XWayland Video Bridge
License:        GPL-2.0-only or GPL-3.0-or-later
Group:          System/GUI/KDE
URL:            https://www.kde.org
# No release yet, missing kdereview
Source:         %{name}-%{version}.tar.xz
BuildRequires:  cmake >= 3.16
BuildRequires:  extra-cmake-modules >= 5.83.0
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KPipeWire) >= 5.27.5
BuildRequires:  cmake(Qt5DBus) >= 5.15.0
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-event)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xcb-xfixes)
%if 0%{?suse_version} < 1600
# Needs C++20
BuildRequires:  gcc13-c++
BuildRequires:  gcc13-PIE
%endif

%description
By design, X11 applications can't access window or screen contents for wayland clients.
This is fine in principle, but it breaks screen sharing in tools like Discord, MS Teams, Skype, etc and more.
This tool allows us to share specific windows to X11 clients, but within the control of the user at all times.

%prep
%autosetup -p1

%build
%if 0%{?suse_version} < 1600
export CC=gcc-13
export CXX=g++-13
%endif
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build
%find_lang %{name}

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_applicationsdir}/org.kde.xwaylandvideobridge.desktop
%{_kf5_appstreamdir}/org.kde.xwaylandvideobridge.appdata.xml
%{_kf5_bindir}/xwaylandvideobridge
%{_kf5_configdir}/autostart/org.kde.xwaylandvideobridge.desktop
%{_kf5_debugdir}/xwaylandvideobridge.categories
%{_kf5_iconsdir}/hicolor/scalable/apps/xwaylandvideobridge.svg

%changelog
* Wed Jan 31 2024 christophe@krop.fr
- Update to version 0.4.0+git12:
  * Also skip the switcher (kde#477025)
  * Do not start in an X11 session and opt out of session managment
- Switch to the latest GCC version available in Leap for packages
  that can't build with the default compiler
* Mon Oct  9 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Initial commit
